## gebabbel 0.4%2Brepack

=== debian/changelog ===
gebabbel (0.4+repack-0ubuntu3) saucy; urgency=low

  * debian/rules:
    - Add build-arch and build-indep targets.
    - Remove all references to quilt.
  * debian/control:
    - Remove quilt from Build-Depends.
    - Bump Standards-Version to 3.9.4.
  * debian/source/format: Indicate 3.0 (quilt) format.
  * debian/copyright: Add the word "Copyright" next to "(C)."

 -- Logan Rosen <logan@ubuntu.com>  Thu, 23 May 2013 02:26:50 -0400

gebabbel (0.4+repack-0ubuntu2) oneiric; urgency=low

  * Fix constructor call to standard form allowed by modern G++
    (LP: #756022).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 10 Sep 2011 12:50:57 +0100

gebabbel (0.4+repack-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #246223)
  * Removed precompiled versions and source of gpsbabel
    from original tarball

 -- Hanno Stock <hanno.stock@gmx.net>  Fri, 12 Dec 2008 21:16:42 +0100
