## gebabbel 0.4+repack

=== Makefile ===
#############################################################################
# Makefile for building: bin/gebabbel
# Generated by qmake (2.01a) (Qt 4.3.0) on: Do Jul 12 11:10:31 2007
# Project:  Gebabbel.pro
# Template: app
# Command: /usr/local/Trolltech/Qt-4.3.0/bin/qmake -unix -o Makefile Gebabbel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DLINUX -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -O0 -g3 -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/local/Trolltech/Qt-4.3.0/mkspecs/linux-g++ -I. -I/usr/local/Trolltech/Qt-4.3.0/include/QtCore -I/usr/local/Trolltech/Qt-4.3.0/include/QtCore -I/usr/local/Trolltech/Qt-4.3.0/include/QtGui -I/usr/local/Trolltech/Qt-4.3.0/include/QtGui -I/usr/local/Trolltech/Qt-4.3.0/include -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/local/Trolltech/Qt-4.3.0/lib
LIBS          = $(SUBLIBS)  -L/usr/local/Trolltech/Qt-4.3.0/lib -lQtGui -L/usr/local/Trolltech/Qt-4.3.0/lib -L/usr/X11R6/lib -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -pthread -lgthread-2.0 -lglib-2.0 -lrt -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/Trolltech/Qt-4.3.0/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = src/main.cpp \
		src/MyMainWindow.cpp \
		src/MyIOConfigWindow.cpp \
		src/MyFilterConfigWindow.cpp \
		src/MyPreferencesConfig.cpp \
		src/ListItem.cpp \
		src/SettingsManager.cpp \
		src/MySavePresetWindow.cpp moc/moc_MyMainWindow.cpp \
		moc/moc_MyIOConfigWindow.cpp \
		moc/moc_MyFilterConfigWindow.cpp \
		moc/moc_MyPreferencesConfig.cpp \
		moc/moc_ListItem.cpp \
		moc/moc_MySavePresetWindow.cpp \
		moc/moc_SettingsManager.cpp \
		qrc_binincludes.cpp
OBJECTS       = obj/main.o \
		obj/MyMainWindow.o \
		obj/MyIOConfigWindow.o \
		obj/MyFilterConfigWindow.o \
		obj/MyPreferencesConfig.o \
		obj/ListItem.o \
		obj/SettingsManager.o \
		obj/MySavePresetWindow.o \
		obj/moc_MyMainWindow.o \
		obj/moc_MyIOConfigWindow.o \
		obj/moc_MyFilterConfigWindow.o \
		obj/moc_MyPreferencesConfig.o \
		obj/moc_ListItem.o \
		obj/moc_MySavePresetWindow.o \
		obj/moc_SettingsManager.o \
		obj/qrc_binincludes.o
DIST          = /usr/local/Trolltech/Qt-4.3.0/mkspecs/common/g++.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/yacc.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/lex.prf \
		Gebabbel.pro
QMAKE_TARGET  = gebabbel
DESTDIR       = bin/
TARGET        = bin/gebabbel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_MainWindow.h ui/ui_IOConfig.h ui/ui_FilterConfig.h ui/ui_PreferencesConfig.h ui/ui_SavePresetWindow.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Gebabbel.pro  /usr/local/Trolltech/Qt-4.3.0/mkspecs/linux-g++/qmake.conf /usr/local/Trolltech/Qt-4.3.0/mkspecs/common/g++.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/yacc.prf \
		/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/lex.prf \
		/usr/local/Trolltech/Qt-4.3.0/lib/libQtGui.prl \
		/usr/local/Trolltech/Qt-4.3.0/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Gebabbel.pro
/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/g++.conf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/unix.conf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/common/linux.conf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/qconfig.pri:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_functions.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt_config.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/exclusive_builds.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_pre.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/release.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/default_post.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/qt.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/unix/thread.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/moc.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/warn_on.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/resources.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/uic.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/yacc.prf:
/usr/local/Trolltech/Qt-4.3.0/mkspecs/features/lex.prf:
/usr/local/Trolltech/Qt-4.3.0/lib/libQtGui.prl:
/usr/local/Trolltech/Qt-4.3.0/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Gebabbel.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/gebabbel1.0.0 || $(MKDIR) obj/gebabbel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/gebabbel1.0.0/ && $(COPY_FILE) --parents src/MyMainWindow.h src/MyIOConfigWindow.h src/MyFilterConfigWindow.h src/MyPreferencesConfig.h src/ListItem.h src/MySavePresetWindow.h src/SettingsManager.h obj/gebabbel1.0.0/ && $(COPY_FILE) --parents binincludes/binincludes.qrc obj/gebabbel1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/MyMainWindow.cpp src/MyIOConfigWindow.cpp src/MyFilterConfigWindow.cpp src/MyPreferencesConfig.cpp src/ListItem.cpp src/SettingsManager.cpp src/MySavePresetWindow.cpp obj/gebabbel1.0.0/ && $(COPY_FILE) --parents ui/MainWindow.ui ui/IOConfig.ui ui/FilterConfig.ui ui/PreferencesConfig.ui ui/SavePresetWindow.ui obj/gebabbel1.0.0/ && $(COPY_FILE) --parents binincludes/translations/de_DE.ts binincludes/translations/en_EN.ts obj/gebabbel1.0.0/ && (cd `dirname obj/gebabbel1.0.0` && $(TAR) gebabbel1.0.0.tar gebabbel1.0.0 && $(COMPRESS) gebabbel1.0.0.tar) && $(MOVE) `dirname obj/gebabbel1.0.0`/gebabbel1.0.0.tar.gz . && $(DEL_FILE) -r obj/gebabbel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_MyMainWindow.cpp moc/moc_MyIOConfigWindow.cpp moc/moc_MyFilterConfigWindow.cpp moc/moc_MyPreferencesConfig.cpp moc/moc_ListItem.cpp moc/moc_MySavePresetWindow.cpp moc/moc_SettingsManager.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_MyMainWindow.cpp moc/moc_MyIOConfigWindow.cpp moc/moc_MyFilterConfigWindow.cpp moc/moc_MyPreferencesConfig.cpp moc/moc_ListItem.cpp moc/moc_MySavePresetWindow.cpp moc/moc_SettingsManager.cpp
moc/moc_MyMainWindow.cpp: ui/ui_MainWindow.h \
		src/MyIOConfigWindow.h \
		ui/ui_IOConfig.h \
		src/ListItem.h \
		src/SettingsManager.h \
		src/MyFilterConfigWindow.h \
		ui/ui_FilterConfig.h \
		src/MyPreferencesConfig.h \
		ui/ui_PreferencesConfig.h \
		src/MySavePresetWindow.h \
		ui/ui_SavePresetWindow.h \
		src/MyMainWindow.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/MyMainWindow.h -o moc/moc_MyMainWindow.cpp

moc/moc_MyIOConfigWindow.cpp: ui/ui_IOConfig.h \
		src/ListItem.h \
		src/SettingsManager.h \
		src/MyIOConfigWindow.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/MyIOConfigWindow.h -o moc/moc_MyIOConfigWindow.cpp

moc/moc_MyFilterConfigWindow.cpp: ui/ui_FilterConfig.h \
		src/MyFilterConfigWindow.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/MyFilterConfigWindow.h -o moc/moc_MyFilterConfigWindow.cpp

moc/moc_MyPreferencesConfig.cpp: ui/ui_PreferencesConfig.h \
		src/SettingsManager.h \
		src/MyPreferencesConfig.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/MyPreferencesConfig.h -o moc/moc_MyPreferencesConfig.cpp

moc/moc_ListItem.cpp: src/SettingsManager.h \
		src/ListItem.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/ListItem.h -o moc/moc_ListItem.cpp

moc/moc_MySavePresetWindow.cpp: ui/ui_SavePresetWindow.h \
		src/SettingsManager.h \
		src/MySavePresetWindow.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/MySavePresetWindow.h -o moc/moc_MySavePresetWindow.cpp

moc/moc_SettingsManager.cpp: src/SettingsManager.h
	/usr/local/Trolltech/Qt-4.3.0/bin/moc $(DEFINES) $(INCPATH) src/SettingsManager.h -o moc/moc_SettingsManager.cpp

compiler_rcc_make_all: qrc_binincludes.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_binincludes.cpp
qrc_binincludes.cpp: binincludes/binincludes.qrc \
		binincludes/translations/de_DE.qm \
		binincludes/translations/en_EN.qm \
		binincludes/icons/HelpAbout.png \
		binincludes/icons/Edit.png \
		binincludes/icons/Folder.png \
		binincludes/icons/FileSave.png \
		binincludes/icons/Delete.png \
		binincludes/icons/Blank.png \
		binincludes/icons/Filter.png \
		binincludes/icons/USBplug.png \
		binincludes/icons/AppIcon.png \
		binincludes/icons/Floppy.png \
		binincludes/icons/FileOpen.png \
		binincludes/icons/FolderWarning.png \
		binincludes/icons/EditEditCommand.png \
		binincludes/icons/FileConvert.png \
		binincludes/icons/HelpManual.png \
		binincludes/icons/FileQuit.png \
		binincludes/icons/GpsDevice.png \
		binincludes/icons/Add.png \
		binincludes/icons/EditEditPreferences.png \
		binincludes/icons/EditPresetFile.png \
		binincludes/icons/FileDelete.png
	/usr/local/Trolltech/Qt-4.3.0/bin/rcc -name binincludes binincludes/binincludes.qrc -o qrc_binincludes.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
