=== debian/control ===
Source: gebabbel
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hanno Stock <hanno.stock@gmx.net>
Build-Depends: debhelper (>= 6), libqt4-dev (>= 4.3), quilt, sharutils, perl
Standards-Version: 3.9.4
Homepage: http://gebabbel.sourceforge.net/

Package: gebabbel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel (>= 1.3.3)
Description: GPS file conversion and transfer from/to GPS units
 Gebabbel is a Qt4 Frontend for the famous gpsbabel, a tool to
 convert GPS file formats back and forth. Gebabbel wraps the
 complexity of gpsbabel in a (hopefully) easy to use graphical
 user interface.
