=== debian/watch ===
version=3

opts=dversionmangle=s/+repack// \
http://sf.net/gebabbel/Gebabbel-(.*)-Src.tar.gz
